Package com.castlabs.demoutils

# Class ActivityInsetManager

java.lang.Object
com.castlabs.demoutils.ActivityInsetManager

All Implemented Interfaces:
  `Application.ActivityLifecycleCallbacks`

public class ActivityInsetManager extends Object implements Application.ActivityLifecycleCallbacks
Manages insets for activities.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActivityInsetManager()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onActivityCreated(Activity activity, Bundle savedInstanceState)`
  `void`
  `onActivityDestroyed(Activity activity)`
  `void`
  `onActivityPaused(Activity activity)`
  `void`
  `onActivityResumed(Activity activity)`
  `void`
  `onActivitySaveInstanceState(Activity activity, Bundle outState)`
  `void`
  `onActivityStarted(Activity activity)`
  `void`
  `onActivityStopped(Activity activity)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface android.app.Application.ActivityLifecycleCallbacks

  `onActivityPostCreated, onActivityPostDestroyed, onActivityPostPaused, onActivityPostResumed, onActivityPostSaveInstanceState, onActivityPostStarted, onActivityPostStopped, onActivityPreCreated, onActivityPreDestroyed, onActivityPrePaused, onActivityPreResumed, onActivityPreSaveInstanceState, onActivityPreStarted, onActivityPreStopped`

- ## Constructor Details

  - ### ActivityInsetManager

    public ActivityInsetManager()
    Default constructor.

- ## Method Details

  - ### onActivityCreated

    public void onActivityCreated(@NonNull Activity activity, @Nullable Bundle savedInstanceState)
    Specified by:
      `onActivityCreated` in interface `Application.ActivityLifecycleCallbacks`

  - ### onActivityStarted

    public void onActivityStarted(@NonNull Activity activity)
    Specified by:
      `onActivityStarted` in interface `Application.ActivityLifecycleCallbacks`

  - ### onActivityResumed

    public void onActivityResumed(@NonNull Activity activity)
    Specified by:
      `onActivityResumed` in interface `Application.ActivityLifecycleCallbacks`

  - ### onActivityPaused

    public void onActivityPaused(@NonNull Activity activity)
    Specified by:
      `onActivityPaused` in interface `Application.ActivityLifecycleCallbacks`

  - ### onActivityStopped

    public void onActivityStopped(@NonNull Activity activity)
    Specified by:
      `onActivityStopped` in interface `Application.ActivityLifecycleCallbacks`

  - ### onActivitySaveInstanceState

    public void onActivitySaveInstanceState(@NonNull Activity activity, @NonNull Bundle outState)
    Specified by:
      `onActivitySaveInstanceState` in interface `Application.ActivityLifecycleCallbacks`

  - ### onActivityDestroyed

    public void onActivityDestroyed(@NonNull Activity activity)
    Specified by:
      `onActivityDestroyed` in interface `Application.ActivityLifecycleCallbacks`